let backslash_to_slash s =
  let s = Str.global_replace (Str.regexp "\\\\") "/" s in
  s

(* Pervasives FS calls *)
let perv_open_out s = open_out (backslash_to_slash s) ;;
let perv_open_out_gen m i s = open_out_gen m i (backslash_to_slash s) ;;
let perv_open_out_bin s = open_out_bin (backslash_to_slash s) ;;
let perv_open_in s = open_in (backslash_to_slash s) ;;
let perv_open_in_gen m i s = open_in_gen m i (backslash_to_slash s) ;;
let perv_open_in_bin s = open_in_bin (backslash_to_slash s) ;;

let unix_openfile s a b = Unix.openfile (backslash_to_slash s) a b ;;
let unix_stat s = Unix.stat (backslash_to_slash s) ;;
let unix_chmod s p = Unix.chmod (backslash_to_slash s) p ;;
let unix_unlink s = Unix.unlink (backslash_to_slash s) ;;
let unix_mkdir s p = Unix.mkdir (backslash_to_slash s) p ;;
let unix_opendir s = Unix.opendir (backslash_to_slash s) ;;
